Affected version:
Description: there should be a way to mark projects as done (so they do not appear in the list of a users current projects)

currently projects can be archived, but related tickets, bookings etc are not accessible any longer.

it would be much better if tickets could still be accessed (eg for developers to check how they solved a similar 
problem last year) but of course not reopened, etc (in case the project is archived)
archived projects could be listed in a separate view linked under "archived projects" in the /projects/ view.

i'm not sure if this would affect other parts fo the application.
neither i'm sure which category to pick below. I'd go for workflow if it was there.

if you've got any questions to this request i'll be happy to answer them ;-)

History
2011-04-05 09:34 am - Daniel Widerin
+1

2011-04-05 10:48 am - Holger Just
- Subject changed from Offer a way to archive projects to Allow to close projects as opposed to archive them

Currently, archiving means that a project is not accessible at all anymore. So we need a new term for your proposal (or redefine the existing one). I 
propose to use "close" as opposed to archive.

For the implementation, we could at first disallow any writing permissions on a closed project. Additionally, closed projects must be clearly marked as 
closed everywhere (i.e. in issue views, wiki pages, ...)

2011-04-06 10:10 pm - Eric Davis
I use a custom field on each project for this. It doesn't hide anything but helps me organize a bit.

Having a way to close or mark a project as read only would be useful (but might take a bit of work to mark all the "read" vs "write" parts).

2011-04-08 10:11 am - Harald FrieÃŸnegger
thanks for your feedback!

Holger Just wrote:
> Currently, archiving means that a project is not accessible at all anymore. So we need a new term for your proposal (or redefine the existing one). I 
propose to use "close" as opposed to archive.
> 
> For the implementation, we could at first disallow any writing permissions on a closed project. Additionally, closed projects must be clearly marked as 
closed everywhere (i.e. in issue views, wiki pages, ...)
using the term close for this functionality sounds perfectly fine to me.

Eric Davis wrote:
> I use a custom field on each project for this. It doesn't hide anything but helps me organize a bit.

"a bit"... exactly ;-)

> Having a way to close or mark a project as read only would be useful (but might take a bit of work to mark all the "read" vs "write" parts).

as both of you stated, we'd first need to define which places need a change:

* closing a project should only be possible when all tickets are closed

* in closed projects adding/editing new items (tickets, wiki, news) must not be possible (we might consider to make this configurable, since it might 
make sense to correct documentation in the wiki of a closed project)

*  /projects should only list active ones. closed projects sould be accessible via a separate link

* when viewing content of this project, we could display "this project is closed, you can't edit this item" in the statusbar
